/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef REPORT_USER_SERVICE_HH_F4B05BC7A336E4DBD5E01C70E2524C17//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define REPORT_USER_SERVICE_HH_F4B05BC7A336E4DBD5E01C70E2524C17

#include "fred_api/dbreport/service_report_user_grpc.grpc.pb.h"

namespace Fred {
namespace DbReport {
namespace Iface {

class ReportUserService final : public Api::ReportUser::Service
{
private:
    grpc::Status run_report(
            grpc::ServerContext*,
            const Api::RunReportRequest* api_request,
            grpc::ServerWriter<Api::RunReportReply>* writer) override;
    grpc::Status list_reports(
        grpc::ServerContext*,
        const google::protobuf::Empty*,
        Api::ListReportsReply* reply) override;
};

}//namespace Fred::DbReport::Iface
}//namespace Fred::DbReport
}//namespace Fred

#endif//REPORT_USER_SERVICE_HH_F4B05BC7A336E4DBD5E01C70E2524C17
