/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "src/iface/tools/common_types_wrappers.hh"
#include "src/iface/tools/generic_wrappers.hh"

namespace Fred {
namespace DbReport {
namespace Iface {
namespace Tools {

void wrap(const Impl::InputParameterDescription& src, Api::InputParameterDescription* dst)
{
    wrap(src.name, dst->mutable_name());
    wrap(src.data_type, dst->mutable_data_type());
}

void wrap(const Impl::OutputParameterDescription& src, Api::OutputParameterDescription* dst)
{
    wrap(src.name, dst->mutable_name());
    wrap(src.data_type, dst->mutable_data_type());
}

void wrap(const Impl::ReportInfo& src, Api::ReportInfo* dst)
{
    wrap(src.name, dst->mutable_name());
    wrap(src.input_parameters, dst->mutable_input_parameters());
    wrap(src.output_parameters, dst->mutable_output_parameters());
}

void wrap(const Impl::Table::FieldDescription& src, Api::Table::FieldDescription* dst)
{
    wrap(src.name, dst->mutable_name());
    wrap(src.data_type, dst->mutable_data_type());
}

void wrap(const Impl::Table::JsonEncodedFields& src, Api::Table::JsonEncodedFields* dst)
{
    wrap(src.fields, dst->mutable_value());
}

}//namespace Fred::DbReport::Iface::Tools
}//namespace Fred::DbReport::Iface
}//namespace Fred::DbReport
}//namespace Fred
