/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef COMMON_TYPES_WRAPPERS_HH_E7F6DDAE10C7F1FFC4EFA26C7C7807FA//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define COMMON_TYPES_WRAPPERS_HH_E7F6DDAE10C7F1FFC4EFA26C7C7807FA

#include "src/impl/common_types.hh"

#include "fred_api/dbreport/common_types.pb.h"

namespace Fred {
namespace DbReport {
namespace Iface {
namespace Tools {

void wrap(const Impl::InputParameterDescription& src, Api::InputParameterDescription* dst);

void wrap(const Impl::OutputParameterDescription& src, Api::OutputParameterDescription* dst);

void wrap(const Impl::ReportInfo& src, Api::ReportInfo* dst);

void wrap(const Impl::Table::FieldDescription& src, Api::Table::FieldDescription* dst);

void wrap(const Impl::Table::JsonEncodedFields& src, Api::Table::JsonEncodedFields* dst);

}//namespace Fred::DbReport::Iface::Tools
}//namespace Fred::DbReport::Iface
}//namespace Fred::DbReport
}//namespace Fred

#endif//COMMON_TYPES_WRAPPERS_HH_E7F6DDAE10C7F1FFC4EFA26C7C7807FA
