/*
 * Copyright (C) 2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "src/impl/common_types.hh"

namespace Fred {
namespace DbReport {
namespace Impl {

bool operator==(const InputParameterDescription& lhs, const InputParameterDescription& rhs) noexcept
{
    return (lhs.data_type == rhs.data_type) &&
           (lhs.name == rhs.name);
}

bool operator==(const OutputParameterDescription& lhs, const OutputParameterDescription& rhs) noexcept
{
    return (lhs.data_type == rhs.data_type) &&
           (lhs.name == rhs.name);
}

bool operator==(const ReportInfo& lhs, const ReportInfo& rhs) noexcept
{
    return (lhs.name == rhs.name) &&
           (lhs.input_parameters == rhs.input_parameters) &&
           (lhs.output_parameters == rhs.output_parameters);
}

}//namespace Fred::DbReport::Impl
}//namespace Fred::DbReport
}//namespace Fred
