/*
 * Copyright (C) 2020-2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef LIST_REPORTS_HH_3835C04289A9C10BCFE737ACC5ADAA11//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define LIST_REPORTS_HH_3835C04289A9C10BCFE737ACC5ADAA11

#include "src/impl/common_types.hh"
#include "src/impl/lib/schema.hh"

#include "libpg/pg_transaction.hh"

#include <map>

namespace Fred {
namespace DbReport {
namespace Impl {
namespace Lib {

using ReportId = StrongType<std::string, struct ReportIdTag_, Skill::Sequenceable>;

using ReportsList = std::map<ReportId, ReportInfo>;

ReportsList get_reports_list(const LibPg::PgTransaction& tx, const Schema& schema);

}//namespace Fred::DbReport::Impl::Lib
}//namespace Fred::DbReport::Impl
}//namespace Fred::DbReport
}//namespace Fred

#endif//LIST_REPORTS_HH_3835C04289A9C10BCFE737ACC5ADAA11
