/*
 * Copyright (C) 2020-2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef LIST_REPORTS_REPLY_HH_058B8B09EB75234FC2DCF430BD1F68FD//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define LIST_REPORTS_REPLY_HH_058B8B09EB75234FC2DCF430BD1F68FD

#include "src/impl/common_types.hh"

#include <set>

namespace Fred {
namespace DbReport {
namespace Impl {
namespace Lib {

struct ListReportsReply
{
    struct Data
    {
        struct ReportInfoCmp
        {
            bool operator()(const ReportInfo& lhs, const ReportInfo& rhs) const { return lhs.name < rhs.name; }
        };
        using Reports = std::set<ReportInfo, ReportInfoCmp>;
        Reports reports;
    };
    Data data;
};

}//namespace Fred::DbReport::Impl::Lib
}//namespace Fred::DbReport::Impl
}//namespace Fred::DbReport
}//namespace Fred

#endif//LIST_REPORTS_REPLY_HH_058B8B09EB75234FC2DCF430BD1F68FD
