/*
 * Copyright (C) 2020-2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef RUN_REPORT_HH_5F008F33F5B6AB90DB4DBE994C1B3602//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define RUN_REPORT_HH_5F008F33F5B6AB90DB4DBE994C1B3602

#include "src/impl/lib/run_report_reply.hh"
#include "src/impl/lib/run_report_request.hh"
#include "src/impl/lib/schema.hh"

#include "libpg/pg_ro_transaction.hh"

namespace Fred {
namespace DbReport {
namespace Impl {
namespace Lib {

RunReportReply run_report(const LibPg::PgRoTransaction& tx, const Schema& schema, const RunReportRequest& request);
void check_report_arguments(const LibPg::PgRoTransaction& tx, const Schema& schema, const RunReportRequest& request);

}//namespace Fred::DbReport::Impl::Lib
}//namespace Fred::DbReport::Impl
}//namespace Fred::DbReport
}//namespace Fred

#endif//RUN_REPORT_HH_5F008F33F5B6AB90DB4DBE994C1B3602
